Bug 185084 - CVE-2006-0745 xorg-x11 privilege escalation
CVE-2006-0745 xorg-x11 privilege escalation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
source=vendorsec,reported=20060310,em...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-10 09:35 EST by Mark J. Cox (Product Security)
Modified: 2013-01-10 08:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 10:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-03-10 09:35:20 EST
We were notified that Coverity scans of X.Org source code revealed an issue that
could be used by a local user to cause a DoS (remove/mess with root-owned files)
or privilege escalation.

This issue only affected code added after 6.8.2 was released and therefore does
not affect RHEL or FC4 (verified by code inspection)

STRICTLY EMBARGOED until April 6th 2006.  Suggest you do not make any commit
even to the embargoed branch until this time.

Note this issue will affect FC4 if you release any FC4 updates that increment
the version; I suggest holding off on any planned FC4 updates unless they are
keeping the same upstream 6.8.2 verison.
Comment 3 Mark J. Cox (Product Security) 2006-03-13 05:13:30 EST
We've asked if the embargo can be moved.  They're considering this and will let
us know by tommorrow.
Comment 13 Josh Bressers 2006-03-20 12:55:42 EST
Lifting embargo.
Comment 14 Mike A. Harris 2006-06-27 10:04:51 EDT
This bug was fixed a long time ago in xorg-x11-server-1.0.1-9 and the
latest update is currently xorg-x11-server-1.0.1-9.fc5.1.1

Closing as "ERRATA"

Note You need to log in before you can comment on or make changes to this bug.